<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh-tw/TipsAndTricks/BrokenVserver</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh-tw/TipsAndTricks/BrokenVserver</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh-tw"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="A.2BWYJPVVcoTgBT8IZbZOxPOmcNVmhOCluJiN0_yum">如何在一台虛擬伺服器上安裝 yum</h1>
<span class="anchor" id="line-4"></span><p class="line867"><div class="table-of-contents"><p class="table-of-contents-heading">Contents<ol><li>
<a href="#A.2BT0ZiEV3yfZNkwWcJ_yum.2B.2FwyADE4UdSh2hGYv_CentOS">但我已經擁有 yum，而且用的是 CentOS</a></li><li>
<a href="#A.2BYhF2hA_CentOS_.2BW4mI3U4KbJJnCQ_yum">我的 CentOS 安裝上沒有 yum</a></li><li>
<a href="#A.2BT2BmL4qqYhGIq5oZU8qKpFwO.2Fx8-">你是說我被騙及誤導？</a></li><li>
<a href="#A.2BW4mI3Q_yum">安裝 yum</a></li><li>
<a href="#A.2BeLpP3U9gdoRRZ2g4Tg1nA4irU9Zm.2Fw-">確保你的內核不會被取替</a></li><li>
<a href="#A.2BkIRTnw_yum_.2BU.2Bp1KFOfiN12hA_CentOS_.2Bjt9O9l6r-">還原 yum 只用原裝的 CentOS 軟件庫</a></li><li>
<a href="#A.2BUXZbg2cJdSh2hJAjfVA-">其它有用的連結</a></li></ol></li></ol></div> <span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><p class="line867">
<h2 id="A.2BT0ZiEV3yfZNkwWcJ_yum.2B.2FwyADE4UdSh2hGYv_CentOS">1. 但我已經擁有 yum，而且用的是 CentOS</h2>
<span class="anchor" id="line-7"></span><p class="line862">很多 Linux 發行版本都採用 <tt>yum</tt> 的一個變種。所有 CentOS 的發佈都附上 <tt>yum</tt> 及一組相應的設定檔。某程度上這容讓你的系統能運用 CentOS 在世界各地的鏡像及更新系統日。有些下游的分叉損壞了些 <tt>yum</tt> 設定，導致它們的系統無法兼容。 <span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line862">基於下列種種原因，CentOS 的支援隊決意不會惡化一個本身壞的情況（一個損壞了的 <tt>yum</tt>）。 <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867">
<h2 id="A.2BYhF2hA_CentOS_.2BW4mI3U4KbJJnCQ_yum">2. 我的 CentOS 安裝上沒有 yum</h2>
<span class="anchor" id="line-12"></span><p class="line862">假若 yum 未被安裝或不能正常運作，你的系統不是 CentOS。如果你的安裝是「建基於」或「改裝自」CentOS，但 <tt>yum</tt> 並不存在，它其實不是真正的 CentOS。非開發者根本就沒可能在未安裝 <tt>yum</tt> 的情況下安裝 CentOS。 <span class="anchor" id="line-13"></span><span class="anchor" id="line-14"></span><p class="line862">有數間 VPS（虛擬伺服器）的提供者、某些 CentOS 的下游分叉、及它們的管理工具（例如：<a class="http" href="http://wiki.openvz.org/Main_Page">OpenVZ</a>、<a class="http" href="http://cpanel.net/index.html">cPanel</a>、<a class="http" href="http://www.parallels.com/en/support/plesk/">Plesk</a>、<a class="http" href="http://www.webmin.com/">webmin</a>、<a class="http" href="http://www.directadmin.com/">Direct Admin</a>、<a class="http" href="http://bluequartz.org/">BlueQuartz</a>、<a class="http" href="http://www.asterisk.org/">Asterisk</a>、<a class="http" href="http://www.trixbox.org/">Trixbox</a>、<a class="http" href="http://www.elastix.org/">Elastix</a>）似乎只會將 CentOS 的某部份安裝在它們的虛擬伺服器上。有些甚至將 <tt>yum</tt> 從系統中移除，或者更改 <tt>yum</tt> 的設定檔。常見的改動是將某些本地更改的套件「排除」於 <strong>yum</strong> 套件管理之外。 <span class="anchor" id="line-15"></span>{{{ grep -ir exclud /etc/yum.* <span class="anchor" id="line-16"></span>}}} 這個指令一般能列出被排除的套件。有些就在套件管理系統之外自行「管理」台機器。在[<a class="http" href="http://wiki.centos.org/AdditionalResources/OtherVoices">http://wiki.centos.org/AdditionalResources/OtherVoices</a> 「其它聲音」]這一頁裡，你可以找到更多全部或局部基於 CentOS 的分叉版本。 <span class="anchor" id="line-17"></span><span class="anchor" id="line-18"></span><p class="line862">他們如此做的原因並不清楚。或許他們想令阻止你取代他們的內核。或許他們這樣做是出於無知或懶惰。在 CentOS 的立場這樣做是考慮不周。<tt>yum</tt> 擁有保護特定套件不受更改的機制。或許他們不懂得閱讀 <tt>man&nbsp;yum</tt> 來查看 'exclude' 這個選項；又或許他們不想接聽支援電話，因此甘願銷售一套無法更新的系統。採用第二個政策，當新發現的漏洞由於他們而無法修補，進而導致系統被入侵，他們便可以向你收取重新安裝、或由備份還原的費用。 <span class="anchor" id="line-19"></span><span class="anchor" id="line-20"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 在你嘗試做任何事情之先：請停下來，並詢問你的 VPS 提供者<strong>為甚麼</strong>他們移除了 yum，以及你如何能夠在沒有 <tt>yum</tt> 的情況下保持系統在最新的狀態。請篇文章作了設些假設，如果除了內核之外還有其它套件需要受保護，盲目跟隨下面的建議或許會損壞你的系統！ <span class="anchor" id="line-21"></span><span class="anchor" id="line-22"></span><p class="line867">
<h2 id="A.2BT2BmL4qqYhGIq5oZU8qKpFwO.2Fx8-">3. 你是說我被騙及誤導？</h2>
<span class="anchor" id="line-23"></span><p class="line862">對。一個真正的 CentOS 安裝擁有 CentOS <tt>內核</tt>、CentOS <tt>centos-release</tt> 套件、CentOS <tt>yum</tt> 套件，而且 <tt>/etc/yum.repos.d/</tt> 目錄的內容沒有經過增加或刪減［或許還會有個本地鏡站，或已設置但不啟用的附加軟件庫］。除了設定檔（見 <strong>man rpm</strong>），所有依賴性都被乎合，當你執行 <span class="anchor" id="line-24"></span><span class="anchor" id="line-25"></span><p class="line867"><span class="anchor" id="line-26"></span><span class="anchor" id="line-27"></span><pre><span class="anchor" id="line-1"></span>$ sudo rpm -Va</pre><span class="anchor" id="line-28"></span><p class="line862">這個指令除了顯示預期被修改的設定檔外便沒有其它輸出。（請參考 <strong>man rpm</strong> 來協助你閱讀這種清單，它包含了左邊細節列的解讀表。） <span class="anchor" id="line-29"></span><span class="anchor" id="line-30"></span><p class="line874">一個真正的 CentOS 系統亦可以在任何時候隨意進行更新。我們提及這個條件，因為安全性修正亦可能隨時出現。如果代管機架的供應商只提供 CentOS 4.X（當中 X 是一個數目字），而不是 CentOS 4，如此類推，這可能意味著有潛在的問題。CentOS 小組（以及上游發行版本的穩定小組）並不容許一個「停留」在不是最新、較舊的子版本，擁有正貨產品的身份。 <span class="anchor" id="line-31"></span><span class="anchor" id="line-32"></span><p class="line862">一個測試 <tt>yum</tt> 是否提供預期輸出的快速方法是： <span class="anchor" id="line-33"></span><span class="anchor" id="line-34"></span><p class="line867"><span class="anchor" id="line-35"></span><span class="anchor" id="line-36"></span><pre><span class="anchor" id="line-1-1"></span>$ sudo yum grouplist \*</pre><span class="anchor" id="line-37"></span><p class="line874">這樣做應該傳回 CentOS 4 及 CentOS 5 上所有可供安裝的套件群組清單。 <span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><p class="line874">irc.freenode.net 上的 #centos IRC 頻道裡的成員很多時會要求你進行這個測試，以及下面一些相關的測試： <span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><p class="line867"><span class="anchor" id="line-42"></span><span class="anchor" id="line-43"></span><pre><span class="anchor" id="line-1-2"></span>$  lsb_release -a ; uname -a ; rpm -V yum centos-release ; ls /etc/yum.repos.d/ ; yum repolist all</pre><span class="anchor" id="line-44"></span><span class="anchor" id="line-45"></span><p class="line862">這樣做會產生多行的輸出。完整的輸出（應該只有數行 —— 少於十，除非嚴重地出了錯）應該被放上 <a class="http" href="http://pastebin.centos.org/">CentOS 剪貼桶</a>，而你應該在頻道上通告內容的 URL。另外，有時一個快捷的分辨方法是利用： <span class="anchor" id="line-46"></span><span class="anchor" id="line-47"></span><p class="line867"><span class="anchor" id="line-48"></span><span class="anchor" id="line-49"></span><pre><span class="anchor" id="line-1-3"></span>$ uname -a</pre><span class="anchor" id="line-50"></span><span class="anchor" id="line-51"></span><p class="line874">這裡所得的單行輸出可以直接貼在 #centos IRC 頻道上。在這兩種情況下，尋求這些資訊的目的是要快速地評估系統的狀況。 <span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><p class="line862">當被斷定所牽涉的不是一台 CentOS 安裝時，IRC 頻道上常客及「知情」成員便不會繼續提供支援或建議。他們不希望建議一個可能進一步損壞你的系統的方法，又或者以<a href="./zh(2d)tw(2f)SpoonFeed.html">「填鴨式」</a>教育那些不願學好系統管理的人們。有關代管機架供應商對系統所做的改動，及它與真正的 CentOS 環境之間的差異，頻道上的常客根本無法亦不可能知道。 <span class="anchor" id="line-54"></span><span class="anchor" id="line-55"></span><p class="line874">假若你被騙，請要求你的供應商彌補他的過錯。你可以要求他們： <span class="anchor" id="line-56"></span><ul><li><p class="line891"><strong>停止誤稱他們所提供的為 CentOS。</strong> <span class="anchor" id="line-57"></span></li><li><p class="line891"><strong>提供他們向你所承諾的，否則請退款。</strong> <span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span></li></ul><p class="line867">
<h2 id="A.2BW4mI3Q_yum">4. 安裝 yum</h2>
<span class="anchor" id="line-60"></span><p class="line862">好啦、好啦 —— 我明白了 —— 我擁有的不是 CentOS。但我依然想要 <tt>yum</tt>，或者嘗試移除及維修一組損壞了的 yum 設定檔。 <span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 首先，請進行完整的備份並確定它們可被讀取。這個步驟可能會失敗。 <span class="anchor" id="line-63"></span><span class="anchor" id="line-64"></span><p class="line862">接著，你必須有下列套件才能令 yum 運作 —— 它們都可以從<a class="http" href="http://mirror.centos.org/centos/">任何一個 CentOS 鏡像</a>下載： <span class="anchor" id="line-65"></span><span class="anchor" id="line-66"></span><ul><li>centos-release <span class="anchor" id="line-67"></span></li></ul><p class="line874">你應該已經安裝了這個套件。你可以這樣檢查 <span class="anchor" id="line-68"></span><span class="anchor" id="line-69"></span><p class="line867"><span class="anchor" id="line-70"></span><span class="anchor" id="line-71"></span><pre><span class="anchor" id="line-1-4"></span>rpm -q centos-release
<span class="anchor" id="line-2"></span>centos-release-4-4.3.i386</pre><span class="anchor" id="line-72"></span><p class="line874">如果它已經在你的系統上，請檢查 yum 的設定檔沒有被移走，而且存在於你的系統上： <span class="anchor" id="line-73"></span><span class="anchor" id="line-74"></span><p class="line867"><span class="anchor" id="line-75"></span><span class="anchor" id="line-76"></span><pre><span class="anchor" id="line-1-5"></span>ls -l /etc/yum.repos.d/</pre><span class="anchor" id="line-77"></span><p class="line862">這個目錄應該只藏有這些檔案：<tt class="backtick">CentOS-Base.repo</tt> 及 <tt class="backtick">CentOS-Media.repo</tt>。如果它們不在裡面，你應該在那裡建立一個 'attic' 的目錄，然後將現有的內容 'mv' 入 attic 中作備份，準備重裝所有 centos-release 套件： <span class="anchor" id="line-78"></span><span class="anchor" id="line-79"></span><p class="line867"><span class="anchor" id="line-80"></span><span class="anchor" id="line-81"></span><pre><span class="anchor" id="line-1-6"></span>rpm -Uvh --replacepkgs centos-release.*.rpm</pre><span class="anchor" id="line-82"></span><p class="line862">如果你的系統沒有安裝 centos-release，你可以在上述指令去除 <tt class="backtick">--replacepkgs</tt>。請建立 ./attic/ 備份目錄並將現有的任何檔案都移進裡面，這樣即使你覺得「太深奧」了，仍有一條回頭路。 <span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><p class="line874">接著你須要下列套件： <span class="anchor" id="line-85"></span><span class="anchor" id="line-86"></span><p class="line867"><strong>CentOS 4</strong> <span class="anchor" id="line-87"></span><span class="anchor" id="line-88"></span><p class="line862">（收錄於<a class="http" href="http://mirror.centos.org/centos/4/os/">你取得 centos-release 套件的地方</a>）： <span class="anchor" id="line-89"></span><span class="anchor" id="line-90"></span><ul><li>yum <span class="anchor" id="line-91"></span></li><li>sqlite <span class="anchor" id="line-92"></span></li><li>python-sqlite <span class="anchor" id="line-93"></span></li><li>python-elementtree <span class="anchor" id="line-94"></span></li><li>python-urlgrabber <span class="anchor" id="line-95"></span></li><li>yum-metadata-parser <span class="anchor" id="line-96"></span><span class="anchor" id="line-97"></span><span class="anchor" id="line-98"></span></li></ul><p class="line867"><strong>CentOS 5</strong> <span class="anchor" id="line-99"></span><span class="anchor" id="line-100"></span><p class="line862">（收錄於<a class="http" href="http://mirror.centos.org/centos/5/os/">你取得 centos-release 套件的地方</a>）： <span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><ul><li>m2crypto <span class="anchor" id="line-103"></span></li><li>python-elementtree <span class="anchor" id="line-104"></span></li><li>python-sqlite <span class="anchor" id="line-105"></span></li><li>python-urlgrabber <span class="anchor" id="line-106"></span></li><li>rpm-python <span class="anchor" id="line-107"></span></li><li>yum <span class="anchor" id="line-108"></span></li><li>yum-metadata-parser <span class="anchor" id="line-109"></span><span class="anchor" id="line-110"></span></li></ul><p class="line867"><strong>CentOS 6</strong> <span class="anchor" id="line-111"></span><span class="anchor" id="line-112"></span><p class="line862">（收錄於<a class="http" href="http://mirror.centos.org/centos/6/os/">你取得 centos-release 套件的地方</a>）： <span class="anchor" id="line-113"></span><span class="anchor" id="line-114"></span><ul><li>gpgme <span class="anchor" id="line-115"></span></li><li>pygpgme <span class="anchor" id="line-116"></span></li><li>python-iniparse <span class="anchor" id="line-117"></span></li><li>python-pycurl <span class="anchor" id="line-118"></span></li><li>python-urlgrabber <span class="anchor" id="line-119"></span></li><li>rpm <span class="anchor" id="line-120"></span></li><li>rpm-libs <span class="anchor" id="line-121"></span></li><li>rpm-python <span class="anchor" id="line-122"></span></li><li>yum <span class="anchor" id="line-123"></span></li><li>yum-metadata-parser <span class="anchor" id="line-124"></span></li><li>yum-plugin-fastestmirror <span class="anchor" id="line-125"></span><span class="anchor" id="line-126"></span></li></ul><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 這是根據某些受影響人仕所提供的資料而初步為 CentOS 6 預備的列表（截至 2012 年 7 月 19 日）。還有其它套件可能被違漏了，也有可能上述套件已安裝在你的系統上。 <span class="anchor" id="line-127"></span><span class="anchor" id="line-128"></span><p class="line874">將這些下載到一個獨立的目錄，並在這個目錄以下列指令安裝它們 <span class="anchor" id="line-129"></span><span class="anchor" id="line-130"></span><p class="line867"><span class="anchor" id="line-131"></span><span class="anchor" id="line-132"></span><pre><span class="anchor" id="line-1-7"></span>rpm -Uvh *.rpm</pre><span class="anchor" id="line-133"></span><p class="line862">如前，請將 <tt>/etc/yum.conf</tt> 備份，好讓你可以取消任何改動。 <span class="anchor" id="line-134"></span><span class="anchor" id="line-135"></span><span class="anchor" id="line-136"></span><p class="line867">
<h2 id="A.2BeLpP3U9gdoRRZ2g4Tg1nA4irU9Zm.2Fw-">5. 確保你的內核不會被取替</h2>
<span class="anchor" id="line-137"></span><p class="line874">現在我們考慮到你期望（運作中的）內核，舉例說是個專為 VPS 而設的內核，不會被 CentOS 的內核更新所取替，。 <span class="anchor" id="line-138"></span><span class="anchor" id="line-139"></span><p class="line862">請在你喜歡的編輯器開啟 <tt class="backtick">/etc/yum.conf</tt>，然後在 <tt class="backtick">[main]</tt> 部份的結尾加入下面一行： <span class="anchor" id="line-140"></span><span class="anchor" id="line-141"></span><p class="line867"><span class="anchor" id="line-142"></span><span class="anchor" id="line-143"></span><pre><span class="anchor" id="line-1-8"></span>exclude=kernel*</pre><span class="anchor" id="line-144"></span><p class="line862">這樣做會防止 yum 安裝以 <tt class="backtick">kernel</tt> 字串開頭的套件，因此你的 VPS 內核便不用怕被 <tt>yum</tt> 所取替。 <span class="anchor" id="line-145"></span><span class="anchor" id="line-146"></span><p class="line867">
<h2 id="A.2BkIRTnw_yum_.2BU.2Bp1KFOfiN12hA_CentOS_.2Bjt9O9l6r-">6. 還原 yum 只用原裝的 CentOS 軟件庫</h2>
<span class="anchor" id="line-147"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 有些系統管理員發現他們的 yum 設定檔內含有「自己施加」的改變，例如新增、啟用、或編輯了設定檔來應用非 CentOS 的<a href="./zh(2d)tw(2f)Repositories.html">軟件庫</a>。這部份描述一個復原的方法。 <span class="anchor" id="line-148"></span><span class="anchor" id="line-149"></span><p class="line862">你所需的「原裝」檔案都收錄在 <tt>centos-release</tt> 套件內。其中一個辦法就是以手動方式取得這個套件，然後將這些檔案復原到 <tt>/etc/yum.repos.d</tt> 這個目錄內。很明顯的，<tt>/etc/yum.conf</tt> 或其它檔案或許都曾經被修改，而一個類同的修復方法亦適用。 <span class="anchor" id="line-150"></span><span class="anchor" id="line-151"></span><p class="line862">我們假設這個範例是一個 CentOS 4 發行，於是我們利用 <tt>wget</tt> 將適當的 <tt>centos-release</tt> rpm 取到 <tt>/tmp/unpack</tt> 內： <span class="anchor" id="line-152"></span><span class="anchor" id="line-153"></span><p class="line867"><span class="anchor" id="line-154"></span><span class="anchor" id="line-155"></span><span class="anchor" id="line-156"></span><span class="anchor" id="line-157"></span><span class="anchor" id="line-158"></span><span class="anchor" id="line-159"></span><span class="anchor" id="line-160"></span><span class="anchor" id="line-161"></span><span class="anchor" id="line-162"></span><span class="anchor" id="line-163"></span><span class="anchor" id="line-164"></span><span class="anchor" id="line-165"></span><span class="anchor" id="line-166"></span><span class="anchor" id="line-167"></span><span class="anchor" id="line-168"></span><pre><span class="anchor" id="line-1-9"></span>$ # …… 以一般用戶的身份
<span class="anchor" id="line-2-1"></span>$ cd /tmp
<span class="anchor" id="line-3"></span>$ mkdir unpack
<span class="anchor" id="line-4"></span>$ wget http://mirror.centos.org/centos-4/4.6/os/i386/CentOS/RPMS/centos-release-4-4.4.i386.rpm
<span class="anchor" id="line-5"></span>$ mkdir -p /tmp/unpack/var/lock/rpm/
<span class="anchor" id="line-6"></span>$ # 在這個特殊情況下（一個「主目錄樹外」的 RPM --root），
<span class="anchor" id="line-7"></span>$ # 使用 --nodeps 是沒有不妥的
<span class="anchor" id="line-8"></span>$ sudo rpm -Uvh --root /tmp/unpack/ --nodeps centos-release*rpm
<span class="anchor" id="line-9"></span>$ # …… 成為 root
<span class="anchor" id="line-10"></span>$ su -
<span class="anchor" id="line-11"></span># cd /etc/yum.repos.d/
<span class="anchor" id="line-12"></span># mkdir attic
<span class="anchor" id="line-13"></span># mv *.repo attic/
<span class="anchor" id="line-14"></span># cp /tmp/unpack/etc/yum.repos.d/* .</pre><span class="anchor" id="line-169"></span><p class="line862">這樣，你使再次有一個原裝的 CentOS yum 軟件庫設定。因為我們已經完成在「主目錄樹外」解壓設定檔，我們可以用：<tt>rm&nbsp;-rf&nbsp;/tmp/unpack</tt> 作善後清理。 <span class="anchor" id="line-170"></span><span class="anchor" id="line-171"></span><p class="line867">
<h2 id="A.2BUXZbg2cJdSh2hJAjfVA-">7. 其它有用的連結</h2>
<span class="anchor" id="line-172"></span><span class="anchor" id="line-173"></span><p class="line862">有時人們會在 IRC 頻道上為一台機器，它的代管機構聲稱安裝了 CentOS，但 <tt>yum</tt> 無法正常運作，亦找不到發行在網上鏡像的更新，即管已計算傳播的延誤在內。<a href="./zh(2d)tw(2f)irc_centos_request.html">這一頁</a>提供了一些捷徑讓頻道上的常客能辨認冒牌 CentOS 的特性。 <span class="anchor" id="line-174"></span><span class="anchor" id="line-175"></span><p class="line867"><small>Translation of revision 37</small> <span class="anchor" id="line-176"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
